<div class="card shadow mb-4">
  <div class="card-header py-3">
    <h6 class="m-0 font-weight-bold text-primary">Daftar Analisa Kebutuhan</h6>
  </div>
  <div class="card-body">
    <div class="table-responsive">
      <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
        <thead>
          <tr>
            <th>Barang</th>
            <th>Type</th>
            <th>Jumlah tersedia</th>
            <th>Jumlah rekomendasi</th>
            <th>Action</th>
          </tr>
        </thead>
        <tfoot>
          <tr>
            <th>Barang</th>
            <th>Type</th>
            <th>Jumlah tersedia</th>
            <th>Jumlah rekomendasi</th>
            <th>Action</th>
          </tr>
        </tfoot>
        <tbody></tbody>
      </table>
    </div>
  </div>
</div>
</div>
<script>
function tanggal(date) {
    var d = new Date(date),
        month = '' + (d.getMonth() + 1),
        day = '' + d.getDate(),
        year = d.getFullYear();
    if (month.length < 2) month = '0' + month;
    if (day.length < 2) day = '0' + day;
    return [day,month,year].join('-');
}
$.ajax({dataType:"json", url: $("#apiurl").val()+"/analisa/listRekomendasi"}).done(function(data) {
  $.each( data, function( key, val ) {
    var markup = "<tr><td>" + val.barang + "</td><td>" + val.type + "</td><td>" + val.jumlah + "</td><td> "+val.rekomendasi+"</td><td><div class='dropdown mb-4'><button class='btn btn-primary dropdown-toggle' type='button' id='dropdownMenuButton' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'>Action</button><div class='dropdown-menu animated--fade-in' aria-labelledby='dropdownMenuButton'><a class='dropdown-item' href='#'>Ajukan</a></div></div></td></tr>";
    $("#dataTable tbody").append(markup);
  })
});
</script>
<script src="vendor/datatables/jquery.dataTables.min.js"></script>
<script src="vendor/datatables/dataTables.bootstrap4.min.js"></script>
<script src="js/demo/datatables-demo.js"></script>
